| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::activity_party Struct Reference

Information for the current party of the player. More...

`#include <presence.h>`

Collaboration diagram for dpp::activity_party:
[legend]

## Public Member Functions

| activity_party ()

## Public Attributes

int32_t | current_size
| The party's current size. Used to show the party's current size.
snowflake | id
| The ID of the party.
int32_t | maximum_size
| The party's maximum size. Used to show the party's maximum size.

## Detailed Description

Information for the current party of the player.

## Constructor & Destructor Documentation

## ◆ activity_party()

dpp::activity_party::activity_party | ( |  | ) |

Constructor

## Member Data Documentation

## ◆ current_size

int32_t dpp::activity_party::current_size

The party's current size. Used to show the party's current size.

## ◆ id

snowflake dpp::activity_party::id

The ID of the party.

## ◆ maximum_size

int32_t dpp::activity_party::maximum_size

The party's maximum size. Used to show the party's maximum size.

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0